.skills-matrix {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
    margin-top: 1.5rem;
    justify-items: stretch;
    align-items: center;
}

.skill-item {
    display: flex;
    align-items: center;
    justify-content: left;
    padding: 10px;
    background-color: #ecf0f1;
    border-radius: 5px;
    transition: transform 0.3s ease;
    width: 100%;
    min-width: 120px;
    position: relative;
    text-align: center;
}

.skill-item img.skill-icon,
.skill-item i.skill-icon {
    width: 30px;
    height: 30px;
    font-size: 30px; /* Gavin: needed because we are handling FontAwesome and SVG */
    position: relative;
    margin-right: 15px;
}


@media (max-width: 1024px) {
    .skills-matrix {
        grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
    }
}

@media (max-width: 768px) {
    .skills-matrix {
        grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    }

    .skill-item {
        flex-direction: column;
        align-items: center;
        text-align: center;
    }

    .skill-item img,
    .skill-item i {
        margin-bottom: 5px;
        margin-left: 15px;
        display: block;
    }
}
